sun-j2re1.5安装失败,可能是ubuntu-cn的源脚本错

为当前最终发行版之前的所有版本提供支持
回复
huntlin
帖子: 1
注册时间: 2006-02-23 9:25
送出感谢: 0
接收感谢: 0

sun-j2re1.5安装失败,可能是ubuntu-cn的源脚本错

#1

帖子 huntlin » 2006-02-24 17:26

我安装sun-j2re1.5:
sudo apt-get install sun-j2re1.5
apt的路径被指向:
ubuntu.cn99.com/ubuntu-cn//share/ubuntu-cn/dists/breezy/restricted/binary-i386/sun-j2re1.5_1.5.0+update05_i386.deb
结果显示404 Not Found

我查看了http://ubuntu.cn99.com/ubuntu-cn/update_breezy.sh
看到其中似乎会在路径上加上/share/ubuntu-cn/dists/
所以结果会被指向错误的链接?!

如果是这样,是否有必要更新update_breezy.sh脚本到正确的路径?比如"/share/ubuntu-cn/dists/" -> "dists/",这样才能找到正确的路径,如:
http://ubuntu.cn99.com/ubuntu-cn/dists/ ... 5_i386.deb

我看http://ubuntu.cn99.com/ubuntu-cn/update_hoary.sh是这样的,不知update_breezy.sh为何会用/share/ubuntu-cn/dists/作为相对路径。似乎是因为update_breezy.sh脚本的问题引起apt源错无法下载ubuntu-cn中的软体的问题。

当然可以下载sun-j2re1.5_1.5.0+update05_i386.deb到本地,再用
dpkg -i sun-j2re1.5_1.5.0+update05_i386.deb
来安装。

以上。
头像
猫尾摆摆
帖子: 70
注册时间: 2006-02-22 16:31
来自: 湖南长沙
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 猫尾摆摆 » 2006-02-27 11:15

我也从CN99装了啊

好像是sudo apt-get install sun-j2sdk1.5sun吧,记不清了。。

你可以找找论据的帖子,用关键字eclipse找。里面有JDK1.5的配置
头像
feeling
帖子: 175
注册时间: 2006-04-29 20:10
来自: 北京·昌平
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 feeling » 2006-05-27 20:46

没错儿,cn99的源里面有:

代码: 全选

apt-get install sun-j2re1.5
人生若只如初见,何事秋风悲画扇?
回复

回到 “老旧版本支持”